LibreOffice LibreOffice 5.3 SDK C/C++ API Reference

Classes | Public Member Functions | Protected Member Functions | List of all members
cppu::ImplHelper1< Ifc1 > Class Template Reference

Implementation helper implementing interface css::lang::XTypeProvider and method XInterface::queryInterface(), but no reference counting. More...

`#include <implbase1.hxx>`

Inheritance diagram for cppu::ImplHelper1< Ifc1 >:

## Public Member Functions
virtual css::uno::Any | queryInterface (css::uno::Type const &rType) SAL_OVERRIDE throw (css::uno::RuntimeException, std::exception)
virtual css::uno::Sequence< css::uno::Type > | getTypes () SAL_OVERRIDE throw (css::uno::RuntimeException, std::exception)
virtual css::uno::Sequence< sal_Int8 > | getImplementationId () SAL_OVERRIDE throw (css::uno::RuntimeException, std::exception)

## Protected Member Functions
| ~ImplHelper1 () throw ()

## Detailed Description

### template<class Ifc1>
class cppu::ImplHelper1< Ifc1 >

Implementation helper implementing interface css::lang::XTypeProvider and method XInterface::queryInterface(), but no reference counting.

Derive:

Inherit from this class giving your interface(s) to be implemented as template argument(s). Your sub class defines method implementations for these interface(s) including acquire()/ release() and delegates incoming queryInterface() calls to this base class.

## Constructor & Destructor Documentation

## ◆ ~ImplHelper1()

template<class Ifc1 >

cppu::ImplHelper1< Ifc1 >::~ImplHelper1 | ( |  | ) |
throw | ( |
| ) |  |
| inline protected

## Member Function Documentation

## ◆ getImplementationId()

template<class Ifc1 >

virtual css::uno::Sequence< sal_Int8 > cppu::ImplHelper1< Ifc1 >::getImplementationId | ( |  | ) |
throw | ( | css::uno::RuntimeException,
|  | std::exception
| ) |  |
| inline virtual

## ◆ getTypes()

template<class Ifc1 >

virtual css::uno::Sequence< css::uno::Type > cppu::ImplHelper1< Ifc1 >::getTypes | ( |  | ) |
throw | ( | css::uno::RuntimeException,
|  | std::exception
| ) |  |
| inline virtual

## ◆ queryInterface()

template<class Ifc1 >

virtual css::uno::Any cppu::ImplHelper1< Ifc1 >::queryInterface | ( | css::uno::Type const & | rType | ) |
throw | ( | css::uno::RuntimeException,
|  | std::exception
| ) |  |
| inline virtual

The documentation for this class was generated from the following file:

- cppuhelper/implbase1.hxx